Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1533225

Summary: Target Refresh is not configure correctly for OpenStack Provider. Missing in Settings
Product: Red Hat CloudForms Management Engine Reporter: Satoe Imaishi <simaishi>
Component: ProvidersAssignee: Sam Lucidi <slucidi>
Status: CLOSED CURRENTRELEASE QA Contact: Ido Ovadia <iovadia>
Severity: high Docs Contact:
Priority: high    
Version: 5.9.0CC: cpelland, gblomqui, iovadia, jfrey, jhardy, jprause, lavenel, maufart, obarenbo, simaishi, slucidi
Target Milestone: GA   
Target Release: 5.9.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: testathon
Fixed In Version: 5.9.0.18 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1519214 Environment:
Last Closed: 2018-03-06 15:28:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack Target Upstream Version:
Bug Depends On: 1519214    
Bug Blocks: 1486797    

Comment 2 CFME Bot 2018-01-10 19:19:19 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-openstack/commit/1c1ba1a8be210bbcfd109b777cedb89af0e507e7

commit 1c1ba1a8be210bbcfd109b777cedb89af0e507e7
Author:     Marek Aufart <aufi.cz@gmail.com>
AuthorDate: Wed Jan 10 10:06:54 2018 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jan 10 14:08:48 2018 -0500

    Merge pull request #175 from mansam/event-target-parser-network-manager
    
    Improve Targeted Refresh for Cloud and Network managers
    (cherry picked from commit 92aed61171736d5d96d11bbf25a609347d29727b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1533225

 .../openstack/cloud_manager/event_target_parser.rb |   25 +-
 .../providers/openstack/cloud_manager/refresher.rb |   67 +-
 .../network_manager/event_target_parser.rb         |   57 +
 .../openstack/network_manager/refresher.rb         |   40 +-
 .../refresh_parser_common/helper_methods.rb        |    6 +-
 config/settings.yml                                |   20 +-
 .../cloud_manager/event_target_parser_spec.rb      |   95 +
 .../openstack/cloud_manager/refresh_spec_common.rb |    8 +-
 .../cloud_manager/refresher_rhos_icehouse_spec.rb  |   24 +-
 .../cloud_manager/refresher_rhos_juno_spec.rb      |   24 +-
 .../refresher_rhos_kilo_keystone_v3_spec.rb        |   24 +-
 .../cloud_manager/refresher_rhos_kilo_spec.rb      |   24 +-
 .../refresher_rhos_liberty_keystone_v3_spec.rb     |   24 +-
 .../cloud_manager/refresher_rhos_liberty_spec.rb   |   24 +-
 .../network_manager/event_target_parser_spec.rb    |   93 +
 .../cloud_manager/refresher_rhos_icehouse.yml      | 2216 +++++-----
 .../refresher_rhos_icehouse_fast_refresh.yml       | 1556 +++----
 ...refresher_rhos_icehouse_legacy_fast_refresh.yml | 1310 +++---
 .../cloud_manager/refresher_rhos_juno.yml          | 2466 ++++++------
 .../refresher_rhos_juno_fast_refresh.yml           | 1746 ++++----
 .../refresher_rhos_juno_legacy_fast_refresh.yml    | 1456 +++----
 .../cloud_manager/refresher_rhos_kilo.yml          | 2598 ++++++------
 .../refresher_rhos_kilo_fast_refresh.yml           | 1868 ++++-----
 .../refresher_rhos_kilo_keystone_v3.yml            | 4156 +++++++++----------
 ...efresher_rhos_kilo_keystone_v3_fast_refresh.yml | 2616 ++++++------
 ...r_rhos_kilo_keystone_v3_legacy_fast_refresh.yml | 2138 +++++-----
 .../refresher_rhos_kilo_legacy_fast_refresh.yml    | 1552 +++----
 .../refresher_rhos_kilo_with_errors.yml            | 2164 +++++-----
 .../cloud_manager/refresher_rhos_liberty.yml       | 3014 +++++++-------
 .../refresher_rhos_liberty_fast_refresh.yml        | 2152 +++++-----
 .../refresher_rhos_liberty_keystone_v3.yml         | 4252 ++++++++++----------
 ...esher_rhos_liberty_keystone_v3_fast_refresh.yml | 2712 ++++++-------
 ...hos_liberty_keystone_v3_legacy_fast_refresh.yml | 2210 +++++-----
 .../refresher_rhos_liberty_legacy_fast_refresh.yml | 1906 ++++-----
 ...fresher_rhos_liberty_stack_targeted_refresh.yml |   80 +-
 ...resher_rhos_liberty_tenant_targeted_refresh.yml |   44 +-
 .../refresher_rhos_liberty_vm_targeted_refresh.yml |  442 +-
 37 files changed, 22686 insertions(+), 22523 deletions(-)
 create mode 100644 app/models/manageiq/providers/openstack/network_manager/event_target_parser.rb
 create mode 100644 spec/models/manageiq/providers/openstack/cloud_manager/event_target_parser_spec.rb
 create mode 100644 spec/models/manageiq/providers/openstack/network_manager/event_target_parser_spec.rb

Comment 3 John Prause 2018-01-15 16:20:45 UTC
Can this issue be moved to POST now?

Comment 4 CFME Bot 2018-01-18 22:55:23 UTC
New commit detected on ManageIQ/manageiq-schema/gaprindashvili:
https://github.com/ManageIQ/manageiq-schema/commit/9b6d0fa7ba9f0e41c6cd20b7373ef1bc731c3a3c

commit 9b6d0fa7ba9f0e41c6cd20b7373ef1bc731c3a3c
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Thu Jan 18 14:01:03 2018 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 18 17:54:28 2018 -0500

    Merge pull request #146 from mansam/ems-refresh-openstack
    
    Move Openstack refresh settings under the root where they belong
    (cherry picked from commit 78f33169a632926d9b2dcb30bde37bf18f5eb344)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1533225

 ...13223553_move_ems_refresh_openstack_settings.rb | 13 +++++++++++
 ...553_move_ems_refresh_openstack_settings_spec.rb | 27 ++++++++++++++++++++++
 2 files changed, 40 insertions(+)
 create mode 100644 db/migrate/20171213223553_move_ems_refresh_openstack_settings.rb
 create mode 100644 spec/migrations/20171213223553_move_ems_refresh_openstack_settings_spec.rb

Comment 5 Ido Ovadia 2018-01-29 15:49:48 UTC
Verified
=========
5.9.0.18